#pragma once
#include "entity.h"

enum { MAX_ENTITIES = 64 };

typedef struct Game {
	unsigned int uuid;
	Entity entities[MAX_ENTITIES];
} Game;

void game_init(Game *this);
void game_deinit(Game *this);
void game_update(Game *this);
void game_draw(Game *this);
Entity *game_create_entity(Game *this);
